#pragma once

#include <Windows.h>

class GameTimer
{
public:
	GameTimer(void);
	~GameTimer(void);

	void SetDelayValue(int _delay);
	void ResetElapsedValue();

	void Update(float dt);

	bool CheckDelay();

private:
	int delay;
	int elapsed;
};
